Bug 445513 - firefox crashing in JS_GetReservedSlot
firefox crashing in JS_GetReservedSlot
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-07 07:28 EDT by Robert Story
Modified: 2008-10-24 08:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-24 08:34:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
backtrace (2.56 KB, text/plain)
2008-05-07 07:28 EDT, Robert Story
no flags Details
different backtrace (299 bytes, text/plain)
2008-05-07 07:28 EDT, Robert Story
no flags Details
backtrace (13.65 KB, text/plain)
2008-05-15 06:39 EDT, Robert Story
no flags Details

  None (edit)
Description Robert Story 2008-05-07 07:28:03 EDT
Description of problem:
occasional random crashes

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. normal firefox use
Actual results:

Expected results:

Additional info:
Comment 1 Robert Story 2008-05-07 07:28:03 EDT
Created attachment 304756 [details]
Comment 2 Robert Story 2008-05-07 07:28:55 EDT
Created attachment 304757 [details]
different backtrace
Comment 3 Martin Stransky 2008-05-07 07:38:11 EDT
Please install xulruner and firefox debug packages and try to catch it again.
Comment 4 Matěj Cepl 2008-05-07 09:31:32 EDT
Let me add slightly more verbiage which amounts to basically the same what
Martin was saying:

Please install firefox-debuginfo; in order to do this you have to run

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Bug Zapper 2008-05-14 06:45:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Robert Story 2008-05-15 06:39:51 EDT
Created attachment 305463 [details]

backtrace of all threads from core file
Comment 7 Matěj Cepl 2008-06-23 18:00:20 EDT
Hmm, unfortunately we are apparently missing just the crucial piece of information:

Thread 1 (process 25509):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x008fdfe0 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
#2  0x0218bc3f in nsProfileLock::FatalSignalHandler (signo=<value optimized out>)
    at nsProfileLock.cpp:212
#3  <signal handler called>
#4  0x00000006 in ?? ()
#5  0x04b64359 in JS_GetReservedSlot (cx=<value optimized out>, obj=<value
optimized out>,
    index=<value optimized out>, vp=Could not find the frame base for
) at jsapi.c:4143
#6  0x021b86c5 in xpc_CloneJSFunction (ccx=<value optimized out>, funobj=<value
optimized out>,
    parent=<value optimized out>) at xpcwrappednativeinfo.cpp:76

Are you sure gdb didn't complain about missing debuginfo packages and it didn't
suggested using debuginfo-install for installing them?
Comment 8 Martin Stransky 2008-10-24 08:34:17 EDT
Can't reproduce, please reopen if you find a reliable way how we can investigate this issue...

Note You need to log in before you can comment on or make changes to this bug.